David Wu has uploaded this change for review. ( https://review.coreboot.org/c/coreboot/+/58793 )
Change subject: mb/google/brya/var/brask: disabled autonomous GPIO power management
......................................................................
mb/google/brya/var/brask: disabled autonomous GPIO power management
Used H1 firmware where the last version number is 0.0.22, 0.3.22 or
less to production that will need to disable autonomous GPIO power
management and then can get H1 version by gsctool -a -f -M
BUG=None
TEST=emerge-brask coreboot
Signed-off-by: David Wu <david_wu(a)quanta.corp-partner.google.com>
Change-Id: Id9fab5f7d3be74f855e8116ec8f0f24ecc05e0b0
---
M src/mainboard/google/brya/variants/brask/overridetree.cb
1 file changed, 11 insertions(+), 0 deletions(-)
git pull ssh://review.coreboot.org:29418/coreboot refs/changes/93/58793/1
diff --git a/src/mainboard/google/brya/variants/brask/overridetree.cb b/src/mainboard/google/brya/variants/brask/overridetree.cb
index 3805666..b20fc99 100644
--- a/src/mainboard/google/brya/variants/brask/overridetree.cb
+++ b/src/mainboard/google/brya/variants/brask/overridetree.cb
@@ -1,4 +1,15 @@
chip soc/intel/alderlake
+ # This disabled autonomous GPIO power management, otherwise
+ # old cr50 FW only supports short pulses; need to clarify
+ # the minimum PCH IRQ pulse width with Intel, b/180111628
+ register "gpio_override_pm" = "1"
+ register "gpio_pm[COMM_0]" = "0"
+ register "gpio_pm[COMM_1]" = "0"
+ register "gpio_pm[COMM_2]" = "0"
+ register "gpio_pm[COMM_3]" = "0"
+ register "gpio_pm[COMM_4]" = "0"
+ register "gpio_pm[COMM_5]" = "0"
+
device domain 0 on
device ref dtt on
chip drivers/intel/dptf
--
To view, visit https://review.coreboot.org/c/coreboot/+/58793
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: master
Gerrit-Change-Id: Id9fab5f7d3be74f855e8116ec8f0f24ecc05e0b0
Gerrit-Change-Number: 58793
Gerrit-PatchSet: 1
Gerrit-Owner: David Wu <david_wu(a)quanta.corp-partner.google.com>
Gerrit-MessageType: newchange
Attention is currently required from: Felix Singer, Martin Roth.
Patrick Georgi has posted comments on this change. ( https://review.coreboot.org/c/coreboot/+/57879 )
Change subject: util/kconfig: Add README.md documenting the uprev procedure
......................................................................
Patch Set 3:
(1 comment)
File util/kconfig/README.md:
PS2:
> The original arrangement (copying in) is from a time when submodules have been entirely optional, an […]
Thinking about it some more, I'm not sure if the effort is worth it: we'd still have to maintain the subtree'd repo, then move our patches to per-upstream-release coreboot branches.
So, maybe something to consider, but not right now.
--
To view, visit https://review.coreboot.org/c/coreboot/+/57879
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: master
Gerrit-Change-Id: I2e74f1c5cb1657e11d4f7ea101549329274102db
Gerrit-Change-Number: 57879
Gerrit-PatchSet: 3
Gerrit-Owner: Patrick Georgi <pgeorgi(a)google.com>
Gerrit-Reviewer: Felix Singer <felixsinger(a)posteo.net>
Gerrit-Reviewer: Martin Roth <martinroth(a)google.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-CC: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-Attention: Felix Singer <felixsinger(a)posteo.net>
Gerrit-Attention: Martin Roth <martinroth(a)google.com>
Gerrit-Comment-Date: Mon, 01 Nov 2021 08:56:03 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Comment-In-Reply-To: Felix Singer <felixsinger(a)posteo.net>
Comment-In-Reply-To: Patrick Georgi <pgeorgi(a)google.com>
Gerrit-MessageType: comment
Attention is currently required from: Philip Chen, Douglas Anderson, Julius Werner.
Xuxin Xiong has posted comments on this change. ( https://review.coreboot.org/c/coreboot/+/58624 )
Change subject: google/trogdor: Add backlight support for Parade ps8640
......................................................................
Patch Set 8:
(1 comment)
File src/drivers/parade/ps8640/ps8640.c:
https://review.coreboot.org/c/coreboot/+/58624/comment/251dbf59_4a491c8e
PS7, Line 159: }
> Ack
For with ps8640 bridge, we didn't need to operate more than 16 bytes, so we didn't test this. With TI bridge, it will use this interface to read EDID, more than 16 bytes, and it looks like work normal.
--
To view, visit https://review.coreboot.org/c/coreboot/+/58624
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: master
Gerrit-Change-Id: Ief1bf56c89c8215427dcbddfc67e8bcd4c3607d2
Gerrit-Change-Number: 58624
Gerrit-PatchSet: 8
Gerrit-Owner: Xuxin Xiong <xuxinxiong(a)huaqin.corp-partner.google.com>
Gerrit-Reviewer: Douglas Anderson <dianders(a)chromium.org>
Gerrit-Reviewer: Julius Werner <jwerner(a)chromium.org>
Gerrit-Reviewer: Philip Chen <philipchen(a)chromium.org>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-CC: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-CC: Philip Chen <philipchen(a)google.com>
Gerrit-Attention: Philip Chen <philipchen(a)google.com>
Gerrit-Attention: Douglas Anderson <dianders(a)chromium.org>
Gerrit-Attention: Philip Chen <philipchen(a)chromium.org>
Gerrit-Attention: Julius Werner <jwerner(a)chromium.org>
Gerrit-Comment-Date: Mon, 01 Nov 2021 08:24:32 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Comment-In-Reply-To: Julius Werner <jwerner(a)chromium.org>
Comment-In-Reply-To: Xuxin Xiong <xuxinxiong(a)huaqin.corp-partner.google.com>
Gerrit-MessageType: comment
Patrick Georgi has uploaded this change for review. ( https://review.coreboot.org/c/coreboot/+/58792 )
Change subject: util/kconfig: Uprev to Linux 5.15's kconfig
......................................................................
util/kconfig: Uprev to Linux 5.15's kconfig
Upstream's changes only affect a script that we don't use.
Still, this keeps us in sync with the official version.
Change-Id: I39cbbfb8dc816b4f36f92e6bd53f40c733691242
Signed-off-by: Patrick Georgi <pgeorgi(a)google.com>
---
M util/kconfig/merge_config.sh
1 file changed, 15 insertions(+), 0 deletions(-)
git pull ssh://review.coreboot.org:29418/coreboot refs/changes/92/58792/1
diff --git a/util/kconfig/merge_config.sh b/util/kconfig/merge_config.sh
index 63c8565..e5b4698 100755
--- a/util/kconfig/merge_config.sh
+++ b/util/kconfig/merge_config.sh
@@ -28,6 +28,7 @@
echo " -r list redundant entries when merging fragments"
echo " -y make builtin have precedence over modules"
echo " -O dir to put generated output files. Consider setting \$KCONFIG_CONFIG instead."
+ echo " -s strict mode. Fail if the fragment redefines any value."
echo
echo "Used prefix: '$CONFIG_PREFIX'. You can redefine it with \$CONFIG_ environment variable."
}
@@ -37,6 +38,7 @@
WARNREDUN=false
BUILTIN=false
OUTPUT=.
+STRICT=false
CONFIG_PREFIX=${CONFIG_-CONFIG_}
while true; do
@@ -75,6 +77,11 @@
shift 2
continue
;;
+ "-s")
+ STRICT=true
+ shift
+ continue
+ ;;
*)
break
;;
@@ -141,6 +148,9 @@
echo Previous value: $PREV_VAL
echo New value: $NEW_VAL
echo
+ if [ "$STRICT" = "true" ]; then
+ STRICT_MODE_VIOLATED=true
+ fi
elif [ "$WARNREDUN" = "true" ]; then
echo Value of $CFG is redundant by fragment $ORIG_MERGE_FILE:
fi
@@ -153,6 +163,11 @@
cat $MERGE_FILE >> $TMP_FILE
done
+if [ "$STRICT_MODE_VIOLATED" = "true" ]; then
+ echo "The fragment redefined a value and strict mode had been passed."
+ exit 1
+fi
+
if [ "$RUNMAKE" = "false" ]; then
cp -T -- "$TMP_FILE" "$KCONFIG_CONFIG"
echo "#"
--
To view, visit https://review.coreboot.org/c/coreboot/+/58792
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: master
Gerrit-Change-Id: I39cbbfb8dc816b4f36f92e6bd53f40c733691242
Gerrit-Change-Number: 58792
Gerrit-PatchSet: 1
Gerrit-Owner: Patrick Georgi <pgeorgi(a)google.com>
Gerrit-MessageType: newchange
Attention is currently required from: Matt DeVillier, Marvin Drees.
Paul Menzel has posted comments on this change. ( https://review.coreboot.org/c/edk2/+/58630 )
Change subject: UefiPayloadPkg: Increase FV size
......................................................................
Patch Set 2:
(1 comment)
Commit Message:
https://review.coreboot.org/c/edk2/+/58630/comment/7c34c5b9_c4e3cc1c
PS2, Line 7: UefiPayloadPkg: Increase FV size
… to X MB
--
To view, visit https://review.coreboot.org/c/edk2/+/58630
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: edk2
Gerrit-Branch: coreboot-stable202108
Gerrit-Change-Id: I6b757f73fe4e90282b4bfb84469545ab1af9d1bb
Gerrit-Change-Number: 58630
Gerrit-PatchSet: 2
Gerrit-Owner: Patrick Georgi <pgeorgi(a)google.com>
Gerrit-Reviewer: Marvin Drees <marvin.drees(a)9elements.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-CC: Matt DeVillier <matt.devillier(a)gmail.com>
Gerrit-CC: Patrick Rudolph <patrick.rudolph(a)9elements.com>
Gerrit-CC: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-Attention: Matt DeVillier <matt.devillier(a)gmail.com>
Gerrit-Attention: Marvin Drees <marvin.drees(a)9elements.com>
Gerrit-Comment-Date: Mon, 01 Nov 2021 07:08:46 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Gerrit-MessageType: comment
Attention is currently required from: Hung-Te Lin, Rex-BC Chen, Felix Held.
Paul Menzel has posted comments on this change. ( https://review.coreboot.org/c/coreboot/+/58640 )
Change subject: soc/mediatek/mt8186: Add a stub implementation of the MT8186 SoC
......................................................................
Patch Set 3:
(2 comments)
Commit Message:
https://review.coreboot.org/c/coreboot/+/58640/comment/7b1590be_b53e4f4b
PS2, Line 10:
> I don't think for the initial commit of a new SoC, people usually describe so much details. […]
And that is big problem, and has to be improved. The commit you referenced should have had a more elaborate commit message.
File src/soc/mediatek/mt8186/include/soc/timer.h:
PS2:
> There may be some designs which are the same for MediaTek SoCs, and this patch is just a basic setti […]
Yes, and that should be documented somewhere.
--
To view, visit https://review.coreboot.org/c/coreboot/+/58640
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: master
Gerrit-Change-Id: I579f79c15f4bf5e1daf6b35c70cfd00a985a0b81
Gerrit-Change-Number: 58640
Gerrit-PatchSet: 3
Gerrit-Owner: Rex-BC Chen <rex-bc.chen(a)mediatek.corp-partner.google.com>
Gerrit-Reviewer: Hung-Te Lin <hungte(a)chromium.org>
Gerrit-Reviewer: Rex-BC Chen <rex-bc.chen(a)mediatek.corp-partner.google.com>
Gerrit-Reviewer: Yu-Ping Wu <yupingso(a)google.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-CC: Felix Held <felix-coreboot(a)felixheld.de>
Gerrit-CC: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-Attention: Hung-Te Lin <hungte(a)chromium.org>
Gerrit-Attention: Rex-BC Chen <rex-bc.chen(a)mediatek.corp-partner.google.com>
Gerrit-Attention: Felix Held <felix-coreboot(a)felixheld.de>
Gerrit-Comment-Date: Mon, 01 Nov 2021 07:07:03 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Comment-In-Reply-To: Hung-Te Lin <hungte(a)chromium.org>
Comment-In-Reply-To: Paul Menzel <paulepanter(a)mailbox.org>
Comment-In-Reply-To: Rex-BC Chen <rex-bc.chen(a)mediatek.corp-partner.google.com>
Comment-In-Reply-To: Felix Held <felix-coreboot(a)felixheld.de>
Gerrit-MessageType: comment
Attention is currently required from: Kevin Chiu, Philip Chen, Douglas Anderson, Julius Werner.
Paul Menzel has posted comments on this change. ( https://review.coreboot.org/c/coreboot/+/58789 )
Change subject: mb/google/trogdor: Add kingoftown to support Parade ps8640
......................................................................
Patch Set 1:
(1 comment)
Commit Message:
https://review.coreboot.org/c/coreboot/+/58789/comment/9cc697d5_db8f2605
PS1, Line 7: mb/google/trogdor: Add kingoftown to support Parade ps8640
Mark kingoftown as supporting Parade PS84640
--
To view, visit https://review.coreboot.org/c/coreboot/+/58789
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: master
Gerrit-Change-Id: Ie13ddfef6adfd53adb0a0d3a98995fb00b8a45e6
Gerrit-Change-Number: 58789
Gerrit-PatchSet: 1
Gerrit-Owner: Kevin Chiu <kevin.chiu.17802(a)gmail.com>
Gerrit-Reviewer: Douglas Anderson <dianders(a)chromium.org>
Gerrit-Reviewer: Julius Werner <jwerner(a)chromium.org>
Gerrit-Reviewer: Philip Chen <philipchen(a)google.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-CC: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-Attention: Kevin Chiu <kevin.chiu.17802(a)gmail.com>
Gerrit-Attention: Philip Chen <philipchen(a)google.com>
Gerrit-Attention: Douglas Anderson <dianders(a)chromium.org>
Gerrit-Attention: Julius Werner <jwerner(a)chromium.org>
Gerrit-Comment-Date: Mon, 01 Nov 2021 07:05:01 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Gerrit-MessageType: comment
Alan Huang has posted comments on this change. ( https://review.coreboot.org/c/coreboot/+/58692 )
Change subject: mb/google/brya/var/brask: Correct the GPIO config of buzzer
......................................................................
Patch Set 2:
(1 comment)
Commit Message:
https://review.coreboot.org/c/coreboot/+/58692/comment/82c05f20_05f5a758
PS1, Line 12: emerge-brask coreboot depthcharge and verify if the buzzer beeps.
> I haven't seen any CLs for buzzer support in depthcharge, did I miss it? Let me know if you need gui […]
Well...Zhuohao has provided us some guidance on IssueTracker and we have been working on that for a while...but I saw you updated some patched on Friday, so we will just follow up your patches to test the function.
--
To view, visit https://review.coreboot.org/c/coreboot/+/58692
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: master
Gerrit-Change-Id: I84978af152a7117c1f3398a9b7adde161db058dd
Gerrit-Change-Number: 58692
Gerrit-PatchSet: 2
Gerrit-Owner: Alan Huang <alan-huang(a)quanta.corp-partner.google.com>
Gerrit-Reviewer: David Wu <david_wu(a)quanta.corp-partner.google.com>
Gerrit-Reviewer: Felix Held <felix-coreboot(a)felixheld.de>
Gerrit-Reviewer: Tim Wawrzynczak <twawrzynczak(a)chromium.org>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-Comment-Date: Mon, 01 Nov 2021 05:19:01 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Comment-In-Reply-To: Tim Wawrzynczak <twawrzynczak(a)chromium.org>
Gerrit-MessageType: comment
Attention is currently required from: Robert Chen, Keith Tzeng.
Kevin Chiu has posted comments on this change. ( https://review.coreboot.org/c/coreboot/+/58522 )
Change subject: mb/google/dedede/var/kracko: Add Wifi SAR for kracko
......................................................................
Patch Set 5: Code-Review+2
--
To view, visit https://review.coreboot.org/c/coreboot/+/58522
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: master
Gerrit-Change-Id: I83bca544c9f71142f95ea1137f732c182b3f29b7
Gerrit-Change-Number: 58522
Gerrit-PatchSet: 5
Gerrit-Owner: Robert Chen <robert.chen(a)quanta.corp-partner.google.com>
Gerrit-Reviewer: Henry Sun <henrysun(a)google.com>
Gerrit-Reviewer: Karthik Ramasubramanian <kramasub(a)google.com>
Gerrit-Reviewer: Keith Tzeng <keith.tzeng(a)quanta.corp-partner.google.com>
Gerrit-Reviewer: Kevin Chiu <kevin.chiu.17802(a)gmail.com>
Gerrit-Reviewer: Shou-Chieh Hsu <shouchieh(a)google.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-CC: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-CC: Shon Wang <shon.wang(a)quanta.corp-partner.google.com>
Gerrit-Attention: Robert Chen <robert.chen(a)quanta.corp-partner.google.com>
Gerrit-Attention: Keith Tzeng <keith.tzeng(a)quanta.corp-partner.google.com>
Gerrit-Comment-Date: Mon, 01 Nov 2021 03:50:41 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Gerrit-MessageType: comment